<?php

/**
 * Adverb filter form base class.
 *
 * @package    Kiwi
 * @subpackage filter
 * @author     Your name here
 */
abstract class BaseAdverbFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'title' => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'link'  => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'image' => new sfWidgetFormFilterInput(array('with_empty' => false)),
    ));

    $this->setValidators(array(
      'title' => new sfValidatorPass(array('required' => false)),
      'link'  => new sfValidatorPass(array('required' => false)),
      'image' => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('adverb_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Adverb';
  }

  public function getFields()
  {
    return array(
      'id'    => 'Number',
      'title' => 'Text',
      'link'  => 'Text',
      'image' => 'Text',
    );
  }
}
