<?php

/**
 * UserGroup filter form base class.
 *
 * @package    Kiwi
 * @subpackage filter
 * @author     Your name here
 */
abstract class BaseUserGroupFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'user_id'  => new sfWidgetFormPropelChoice(array('model' => 'User', 'add_empty' => true)),
      'group_id' => new sfWidgetFormPropelChoice(array('model' => 'GroupCategory', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'user_id'  => new sfValidatorPropelChoice(array('required' => false, 'model' => 'User', 'column' => 'id')),
      'group_id' => new sfValidatorPropelChoice(array('required' => false, 'model' => 'GroupCategory', 'column' => 'id')),
    ));

    $this->widgetSchema->setNameFormat('user_group_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'UserGroup';
  }

  public function getFields()
  {
    return array(
      'id'       => 'Number',
      'user_id'  => 'ForeignKey',
      'group_id' => 'ForeignKey',
    );
  }
}
