<?php

/**
 * Volunteer filter form base class.
 *
 * @package    Kiwi
 * @subpackage filter
 * @author     Your name here
 */
abstract class BaseVolunteerFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'user_id'         => new sfWidgetFormPropelChoice(array('model' => 'User', 'add_empty' => true)),
      'age'             => new sfWidgetFormFilterInput(),
      'phone'           => new sfWidgetFormFilterInput(),
      'prof_status'     => new sfWidgetFormFilterInput(),
      'education'       => new sfWidgetFormFilterInput(),
      'first_name'      => new sfWidgetFormFilterInput(),
      'last_name'       => new sfWidgetFormFilterInput(),
      'photo'           => new sfWidgetFormFilterInput(),
      'content'         => new sfWidgetFormFilterInput(),
      'is_male'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'language0'       => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'language1'       => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'language2'       => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'language3'       => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'language4'       => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'language5'       => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'skill0'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'skill1'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'skill2'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'skill3'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'skill4'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'skill5'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'skill6'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'skill7'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby0'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby1'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby2'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby3'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby4'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby5'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby6'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby7'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby8'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby9'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby10'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby11'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby12'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby13'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby14'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby15'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby16'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby17'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby18'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby19'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby20'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby21'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby22'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby23'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby24'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'hobby25'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'other_languages' => new sfWidgetFormFilterInput(),
      'other_skills'    => new sfWidgetFormFilterInput(),
      'newsletter'      => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
    ));

    $this->setValidators(array(
      'user_id'         => new sfValidatorPropelChoice(array('required' => false, 'model' => 'User', 'column' => 'id')),
      'age'             => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'phone'           => new sfValidatorPass(array('required' => false)),
      'prof_status'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'education'       => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'first_name'      => new sfValidatorPass(array('required' => false)),
      'last_name'       => new sfValidatorPass(array('required' => false)),
      'photo'           => new sfValidatorPass(array('required' => false)),
      'content'         => new sfValidatorPass(array('required' => false)),
      'is_male'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'language0'       => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'language1'       => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'language2'       => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'language3'       => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'language4'       => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'language5'       => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'skill0'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'skill1'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'skill2'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'skill3'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'skill4'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'skill5'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'skill6'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'skill7'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby0'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby1'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby2'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby3'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby4'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby5'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby6'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby7'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby8'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby9'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby10'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby11'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby12'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby13'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby14'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby15'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby16'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby17'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby18'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby19'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby20'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby21'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby22'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby23'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby24'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'hobby25'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'other_languages' => new sfValidatorPass(array('required' => false)),
      'other_skills'    => new sfValidatorPass(array('required' => false)),
      'newsletter'      => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
    ));

    $this->widgetSchema->setNameFormat('volunteer_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Volunteer';
  }

  public function getFields()
  {
    return array(
      'id'              => 'Number',
      'user_id'         => 'ForeignKey',
      'age'             => 'Number',
      'phone'           => 'Text',
      'prof_status'     => 'Number',
      'education'       => 'Number',
      'first_name'      => 'Text',
      'last_name'       => 'Text',
      'photo'           => 'Text',
      'content'         => 'Text',
      'is_male'         => 'Boolean',
      'language0'       => 'Boolean',
      'language1'       => 'Boolean',
      'language2'       => 'Boolean',
      'language3'       => 'Boolean',
      'language4'       => 'Boolean',
      'language5'       => 'Boolean',
      'skill0'          => 'Boolean',
      'skill1'          => 'Boolean',
      'skill2'          => 'Boolean',
      'skill3'          => 'Boolean',
      'skill4'          => 'Boolean',
      'skill5'          => 'Boolean',
      'skill6'          => 'Boolean',
      'skill7'          => 'Boolean',
      'hobby0'          => 'Boolean',
      'hobby1'          => 'Boolean',
      'hobby2'          => 'Boolean',
      'hobby3'          => 'Boolean',
      'hobby4'          => 'Boolean',
      'hobby5'          => 'Boolean',
      'hobby6'          => 'Boolean',
      'hobby7'          => 'Boolean',
      'hobby8'          => 'Boolean',
      'hobby9'          => 'Boolean',
      'hobby10'         => 'Boolean',
      'hobby11'         => 'Boolean',
      'hobby12'         => 'Boolean',
      'hobby13'         => 'Boolean',
      'hobby14'         => 'Boolean',
      'hobby15'         => 'Boolean',
      'hobby16'         => 'Boolean',
      'hobby17'         => 'Boolean',
      'hobby18'         => 'Boolean',
      'hobby19'         => 'Boolean',
      'hobby20'         => 'Boolean',
      'hobby21'         => 'Boolean',
      'hobby22'         => 'Boolean',
      'hobby23'         => 'Boolean',
      'hobby24'         => 'Boolean',
      'hobby25'         => 'Boolean',
      'other_languages' => 'Text',
      'other_skills'    => 'Text',
      'newsletter'      => 'Boolean',
    );
  }
}
