<?php

/**
 * Crew form.
 *
 * @package    Kiwi
 * @subpackage form
 * @author     Your name here
 */
class CrewForm extends BaseCrewForm
{
  public function configure()
  {
  	$this->widgetSchema['photo'] = new sfWidgetFormInputFileEditable(array(
      'file_src'  => sfConfig::get('app_sever_name').sfConfig::get('app_crew_images_path').$this->getObject()->getPhoto(),
      'is_image'  => true,
      'edit_mode' => !$this->isNew(),
      'template'  => '<div>%file%<br />%input%</div>',
    ));
    
  	$this->validatorSchema['photo'] = new sfValidatorFile(array(
	  'required'   => $this->isNew(),
	  'path'       => sfConfig::get('app_crew_images_path'),
	  'mime_types' => 'web_images',
  	  'max_size'   => sfConfig::get('app_max_picture_size')
	), array("mime_types" => "Nieprawidłowy format zdjęcia - %mime_type%", 
		"max_size" => "Zdjęcie za duże - maksymalna wielkość to %max_size% bajtów",
		"required" => "Wybierz zdjęcie"));
	
  	$this->validatorSchema['name']->setMessage('required', 'Wprowadź imię i nazwisko');
  	$this->validatorSchema['content']->setMessage('required', 'Wprowadź opis');
    $this->validatorSchema['email'] = new sfValidatorEmail(
    			array( ), 
    			array('invalid' => 'Wprowadź prawidłowy e-mail'));
  }
}
