<?php

/**
 * Gallery form.
 *
 * @package    Kiwi
 * @subpackage form
 * @author     Your name here
 */
class GalleryForm extends BaseGalleryForm
{
  public function configure()
  {
  	
  	$this->widgetSchema['newImage'] = new sfWidgetFormInputFileEditable(array(
  	'label'     => 'Nowe zdjęcie',
  	  	  	 'file_src'  => sfConfig::get('app_sever_name').sfConfig::get('app_gallery_images_path'),
  	  	  	'is_image'  => true,
  	'template'  => '<div>%input%</div>',
  	  	));
  	
  	$this->validatorSchema['newImage'] = new sfValidatorFile(
  						array('required'   => false,
  	  	  	  						  'path'       => sfConfig::get('app_project_images_path'),
  	  	  	  						  'mime_types' => 'web_images',
  	  	  	  					  	  'max_size'   => sfConfig::get('app_max_picture_size')
  							),
  				array("mime_types" => "Nieprawidłowy format zdjęcia - %mime_type%",
  	  	  		  						  "max_size" => "Zdjęcie za duże - maksymalna wielkość to %max_size% bajtów"
  					)
  				);
  	$this->validatorSchema->setOption('allow_extra_fields', true);
  	$this->validatorSchema->setOption('filter_extra_fields', false);
  }
}
