<?php

/**
 * Ngo form.
 *
 * @package    Kiwi
 * @subpackage form
 * @author     Your name here
 */
class NgoForm extends BaseNgoForm
{
  public function configure()
  {
  	$this->widgetSchema['logo'] = new sfWidgetFormInputFileEditable(array(
      'label'     => 'Logo',
      'file_src'  => sfConfig::get('app_sever_name').sfConfig::get('app_ngo_logo_path').$this->getObject()->getLogo(),
      'is_image'  => true,
      'template'  => '<div>%file%<br />%input%</div>',
    ));
    
    
     $this->validatorSchema['logo'] = new sfValidatorFile(
    			array('required'   => false,
					  'path'       => sfConfig::get('app_ngo_logo_path'),
					  'mime_types' => 'web_images',
				  	  'max_size'   => sfConfig::get('app_max_picture_size')
					), 
				array("mime_types" => "Nieprawidłowy format zdjęcia - %mime_type%", 
					  "max_size" => "Zdjęcie za duże - maksymalna wielkość to %max_size% bajtów"
					)
				);
  }
}
