<?php

/**
 * Volunteer form base class.
 *
 * @method Volunteer getObject() Returns the current form's model object
 *
 * @package    Kiwi
 * @subpackage form
 * @author     Your name here
 */
abstract class BaseVolunteerForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'              => new sfWidgetFormInputHidden(),
      'user_id'         => new sfWidgetFormPropelChoice(array('model' => 'User', 'add_empty' => false)),
      'age'             => new sfWidgetFormInputText(),
      'phone'           => new sfWidgetFormInputText(),
      'prof_status'     => new sfWidgetFormInputText(),
      'education'       => new sfWidgetFormInputText(),
      'first_name'      => new sfWidgetFormInputText(),
      'last_name'       => new sfWidgetFormInputText(),
      'photo'           => new sfWidgetFormInputText(),
      'content'         => new sfWidgetFormTextarea(),
      'is_male'         => new sfWidgetFormInputCheckbox(),
      'language0'       => new sfWidgetFormInputCheckbox(),
      'language1'       => new sfWidgetFormInputCheckbox(),
      'language2'       => new sfWidgetFormInputCheckbox(),
      'language3'       => new sfWidgetFormInputCheckbox(),
      'language4'       => new sfWidgetFormInputCheckbox(),
      'language5'       => new sfWidgetFormInputCheckbox(),
      'skill0'          => new sfWidgetFormInputCheckbox(),
      'skill1'          => new sfWidgetFormInputCheckbox(),
      'skill2'          => new sfWidgetFormInputCheckbox(),
      'skill3'          => new sfWidgetFormInputCheckbox(),
      'skill4'          => new sfWidgetFormInputCheckbox(),
      'skill5'          => new sfWidgetFormInputCheckbox(),
      'skill6'          => new sfWidgetFormInputCheckbox(),
      'skill7'          => new sfWidgetFormInputCheckbox(),
      'hobby0'          => new sfWidgetFormInputCheckbox(),
      'hobby1'          => new sfWidgetFormInputCheckbox(),
      'hobby2'          => new sfWidgetFormInputCheckbox(),
      'hobby3'          => new sfWidgetFormInputCheckbox(),
      'hobby4'          => new sfWidgetFormInputCheckbox(),
      'hobby5'          => new sfWidgetFormInputCheckbox(),
      'hobby6'          => new sfWidgetFormInputCheckbox(),
      'hobby7'          => new sfWidgetFormInputCheckbox(),
      'hobby8'          => new sfWidgetFormInputCheckbox(),
      'hobby9'          => new sfWidgetFormInputCheckbox(),
      'hobby10'         => new sfWidgetFormInputCheckbox(),
      'hobby11'         => new sfWidgetFormInputCheckbox(),
      'hobby12'         => new sfWidgetFormInputCheckbox(),
      'hobby13'         => new sfWidgetFormInputCheckbox(),
      'hobby14'         => new sfWidgetFormInputCheckbox(),
      'hobby15'         => new sfWidgetFormInputCheckbox(),
      'hobby16'         => new sfWidgetFormInputCheckbox(),
      'hobby17'         => new sfWidgetFormInputCheckbox(),
      'hobby18'         => new sfWidgetFormInputCheckbox(),
      'hobby19'         => new sfWidgetFormInputCheckbox(),
      'hobby20'         => new sfWidgetFormInputCheckbox(),
      'hobby21'         => new sfWidgetFormInputCheckbox(),
      'hobby22'         => new sfWidgetFormInputCheckbox(),
      'hobby23'         => new sfWidgetFormInputCheckbox(),
      'hobby24'         => new sfWidgetFormInputCheckbox(),
      'hobby25'         => new sfWidgetFormInputCheckbox(),
      'other_languages' => new sfWidgetFormInputText(),
      'other_skills'    => new sfWidgetFormInputText(),
      'newsletter'      => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id'              => new sfValidatorChoice(array('choices' => array($this->getObject()->getId()), 'empty_value' => $this->getObject()->getId(), 'required' => false)),
      'user_id'         => new sfValidatorPropelChoice(array('model' => 'User', 'column' => 'id')),
      'age'             => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647, 'required' => false)),
      'phone'           => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'prof_status'     => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647, 'required' => false)),
      'education'       => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647, 'required' => false)),
      'first_name'      => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'last_name'       => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'photo'           => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'content'         => new sfValidatorString(array('required' => false)),
      'is_male'         => new sfValidatorBoolean(array('required' => false)),
      'language0'       => new sfValidatorBoolean(array('required' => false)),
      'language1'       => new sfValidatorBoolean(array('required' => false)),
      'language2'       => new sfValidatorBoolean(array('required' => false)),
      'language3'       => new sfValidatorBoolean(array('required' => false)),
      'language4'       => new sfValidatorBoolean(array('required' => false)),
      'language5'       => new sfValidatorBoolean(array('required' => false)),
      'skill0'          => new sfValidatorBoolean(array('required' => false)),
      'skill1'          => new sfValidatorBoolean(array('required' => false)),
      'skill2'          => new sfValidatorBoolean(array('required' => false)),
      'skill3'          => new sfValidatorBoolean(array('required' => false)),
      'skill4'          => new sfValidatorBoolean(array('required' => false)),
      'skill5'          => new sfValidatorBoolean(array('required' => false)),
      'skill6'          => new sfValidatorBoolean(array('required' => false)),
      'skill7'          => new sfValidatorBoolean(array('required' => false)),
      'hobby0'          => new sfValidatorBoolean(array('required' => false)),
      'hobby1'          => new sfValidatorBoolean(array('required' => false)),
      'hobby2'          => new sfValidatorBoolean(array('required' => false)),
      'hobby3'          => new sfValidatorBoolean(array('required' => false)),
      'hobby4'          => new sfValidatorBoolean(array('required' => false)),
      'hobby5'          => new sfValidatorBoolean(array('required' => false)),
      'hobby6'          => new sfValidatorBoolean(array('required' => false)),
      'hobby7'          => new sfValidatorBoolean(array('required' => false)),
      'hobby8'          => new sfValidatorBoolean(array('required' => false)),
      'hobby9'          => new sfValidatorBoolean(array('required' => false)),
      'hobby10'         => new sfValidatorBoolean(array('required' => false)),
      'hobby11'         => new sfValidatorBoolean(array('required' => false)),
      'hobby12'         => new sfValidatorBoolean(array('required' => false)),
      'hobby13'         => new sfValidatorBoolean(array('required' => false)),
      'hobby14'         => new sfValidatorBoolean(array('required' => false)),
      'hobby15'         => new sfValidatorBoolean(array('required' => false)),
      'hobby16'         => new sfValidatorBoolean(array('required' => false)),
      'hobby17'         => new sfValidatorBoolean(array('required' => false)),
      'hobby18'         => new sfValidatorBoolean(array('required' => false)),
      'hobby19'         => new sfValidatorBoolean(array('required' => false)),
      'hobby20'         => new sfValidatorBoolean(array('required' => false)),
      'hobby21'         => new sfValidatorBoolean(array('required' => false)),
      'hobby22'         => new sfValidatorBoolean(array('required' => false)),
      'hobby23'         => new sfValidatorBoolean(array('required' => false)),
      'hobby24'         => new sfValidatorBoolean(array('required' => false)),
      'hobby25'         => new sfValidatorBoolean(array('required' => false)),
      'other_languages' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'other_skills'    => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'newsletter'      => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('volunteer[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Volunteer';
  }


}
