<?php

/**
 * Adverb form.
 *
 * @package    Kiwi
 * @subpackage form
 * @author     Your name here
 */
class AdverbForm extends BaseAdverbForm
{
  public function configure()
  {
  	$this->widgetSchema['image'] = new sfWidgetFormInputFileEditable(array(
  	      'file_src'  => sfConfig::get('app_sever_name').sfConfig::get('app_ad_images_path').$this->getObject()->getImage(),
  	      'is_image'  => true,
  	      'edit_mode' => !$this->isNew(),
  	      'template'  => '<div>%file%<br />%input%</div>',
  	));
  	
  	$this->validatorSchema['image'] = new sfValidatorFile(array(
  		  'required'   => false,
  		  'path'       => sfConfig::get('app_ad_images_path'),
  		  'mime_types' => 'web_images',
  	  	  'max_size'   => sfConfig::get('app_max_picture_size')
  	), array("mime_types" => "Nieprawidłowy format zdjęcia - %mime_type%",
  			"max_size" => "Zdjęcie za duże - maksymalna wielkość to %max_size% bajtów",
  			"required" => "Wybierz zdjęcie"));
  	
  }
}
