<?php

/**
 * Patronage form.
 *
 * @package    Kiwi
 * @subpackage form
 * @author     Your name here
 */
class PatronageForm extends BasePatronageForm
{
  public function configure()
  {
  	$this->widgetSchema['created_at'] = new sfWidgetFormInputHidden();
    
    $this->widgetSchema['image'] = new sfWidgetFormInputFileEditable(array(
      'label'     => 'Zdjęcie',
      'file_src'  => sfConfig::get('app_sever_name').sfConfig::get('app_patronage_images_path').$this->getObject()->getImage(),
      'is_image'  => true,
      'template'  => '<div>%file%<br />%input%</div>',
    ), array("class" => "kiwiFileInput"));
    
    
    	$this->validatorSchema['image'] = new sfValidatorFile(array(
	  'required'   => $this->isNew(),
	  'path'       => sfConfig::get('app_patronage_images_path'),
	  'mime_types' => 'web_images',
  	  'max_size'   => sfConfig::get('app_max_picture_size')
	), array("mime_types" => "Nieprawidłowy format zdjęcia - %mime_type%", 
		"max_size" => "Zdjęcie za duże - maksymalna wielkość to %max_size% bajtów",
		"required" => "Wybierz zdjęcie"));
	
	$this->validatorSchema['name']->setMessage('required', 'Wprowadź imię i nazwisko');
	$this->validatorSchema['content']->setMessage('required', 'Wprowadź opis');
  }
}
