<?php

/**
 * User form.
 *
 * @package    Kiwi
 * @subpackage form
 * @author     Your name here
 */
class UserForm extends BaseUserForm
{
  public function configure()
  {
  	$this->widgetSchema['password'] = new sfWidgetFormInputHidden();
  	$this->widgetSchema['first_login'] = new sfWidgetFormInputHidden();
  	$this->widgetSchema['token'] = new sfWidgetFormInputHidden();
  	$this->widgetSchema['created'] = new sfWidgetFormInputHidden();
  	$this->widgetSchema['comment'] = new sfWidgetFormInputHidden();
  	
  	
  	$criteria = new Criteria();
  	$criteria->add(UserTypePeer::ID, UserTypePeer::getIdsForAdmin(), Criteria::IN);
  	$this->widgetSchema['category_id'] = new sfWidgetFormPropelChoice(array('model' => 'UserType', 'add_empty' => false, 'criteria' => $criteria), array('id' => 'adminUser'));
		
	/*$this->widgetSchema['sector_id'] = new sfWidgetFormChoice(array(
		  'choices'  => formHelper::o2a(SectorPeer::doSelect(new Criteria())),
		  'multiple' => false,
		  'expanded' => false,
     	  'label'    => 'Sektor'
		), array('id' => 'adminSector'));*/
		
		
	$this->validatorSchema->setOption('allow_extra_fields', true);
    $this->validatorSchema->setOption('filter_extra_fields', false);
    
    $id = 0;
    if(!$this->getObject()->isNew()) $id = $this->getObject()->getId();
    
    $this->validatorSchema["email"] = new sfEmailValidatorExtended(array('userId' => $id), array("exists" => "Email już istnieje"));
  }
}
